summaryrefslogtreecommitdiffstats
path: root/source/n/httpd/httpd.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/httpd/httpd.SlackBuild')
-rwxr-xr-xsource/n/httpd/httpd.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/n/httpd/httpd.SlackBuild b/source/n/httpd/httpd.SlackBuild
index 438525eef..904450cfb 100755
--- a/source/n/httpd/httpd.SlackBuild
+++ b/source/n/httpd/httpd.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2017, 2018, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -114,6 +114,9 @@ sed -i -e "s#lib/httpd#lib${LIBDIRSUFFIX}/httpd#" config.layout
# Just use /var/run rather than /var/run/httpd.
sed -i -e "s#/run/httpd#/run#" config.layout
+# Fix FTBFS with recent libxml2:
+cat $CWD/httpd-2.4.58-r1914013.patch | patch -p1 --verbose || exit 1
+
# Configure:
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \